This commit is contained in:
Seth Call 2025-03-03 07:13:48 -06:00
parent e94cc6bc75
commit 6ce3dfac62
5 changed files with 16 additions and 47 deletions

View File

@ -16,6 +16,7 @@ if [ -z $PROTOC] ; then
PROTOC="protoc" PROTOC="protoc"
fi fi
echo "$PROTOC TIME"
command -v $PROTOC >/dev/null 2>&1 || { echo >&2 "protoc is required but not installed. Aborting"; exit 1; } command -v $PROTOC >/dev/null 2>&1 || { echo >&2 "protoc is required but not installed. Aborting"; exit 1; }
# die on error at this point # die on error at this point

View File

@ -320,7 +320,7 @@ GEM
oj (2.17.1) oj (2.17.1)
optimist (3.0.1) optimist (3.0.1)
orm_adapter (0.5.0) orm_adapter (0.5.0)
pg (0.17.1) pg (0.21.0)
pg_array_parser (0.0.9) pg_array_parser (0.0.9)
postgres-copy (1.2.0) postgres-copy (1.2.0)
activerecord (>= 4.0, < 5.1) activerecord (>= 4.0, < 5.1)
@ -374,7 +374,7 @@ GEM
json (>= 1.8) json (>= 1.8)
nokogiri (~> 1.5) nokogiri (~> 1.5)
optimist (~> 3.0) optimist (~> 3.0)
recurly (2.18.16) recurly (2.19.14)
redis (3.3.0) redis (3.3.0)
redis-namespace (1.5.2) redis-namespace (1.5.2)
redis (~> 3.0, >= 3.0.4) redis (~> 3.0, >= 3.0.4)
@ -490,6 +490,7 @@ PLATFORMS
DEPENDENCIES DEPENDENCIES
aasm aasm
actionmailer (= 4.2.8) actionmailer (= 4.2.8)
actionview (= 4.2.8)
activerecord (= 4.2.8) activerecord (= 4.2.8)
activerecord-import (~> 0.4.1) activerecord-import (~> 0.4.1)
amqp (= 1.0.2) amqp (= 1.0.2)
@ -520,14 +521,14 @@ DEPENDENCIES
logging (= 1.7.2) logging (= 1.7.2)
nokogiri (= 1.10.10) nokogiri (= 1.10.10)
oj (= 2.17.1) oj (= 2.17.1)
pg (= 0.17.1) pg (= 0.21.0)
postgres-copy postgres-copy
postgres_ext postgres_ext
protected_attributes protected_attributes
pry pry
rails-observers (= 0.1.2) rails-observers (= 0.1.2)
railties (= 4.2.8) railties (= 4.2.8)
recurly (= 2.18.16) recurly (= 2.19.14)
redis (= 3.3.0) redis (= 3.3.0)
redis-namespace (= 1.5.2) redis-namespace (= 1.5.2)
resque resque

View File

@ -1,6 +1,9 @@
source 'http://rubygems.org' source 'http://rubygems.org'
# Look for $WORKSPACE, otherwise use "workspace" as dev path. # Look for $WORKSPACE, otherwise use "workspace" as dev path.
# Do this alone
# gem install ffi -v 1.12.2 -- --with-cflags="-Wno-error=implicit-function-declaration"
devenv = ENV["BUILD_NUMBER"].nil? # Jenkins sets a build number environment variable devenv = ENV["BUILD_NUMBER"].nil? # Jenkins sets a build number environment variable
ruby_version = ENV["JAM_RUBY_VERSION"] ruby_version = ENV["JAM_RUBY_VERSION"]
@ -247,5 +250,5 @@ group :production do
end end
group :package do group :package do
gem 'fpm' #gem 'fpm'
end end

View File

@ -71,8 +71,6 @@ GEM
amq-protocol (>= 0.9.4) amq-protocol (>= 0.9.4)
eventmachine eventmachine
arel (6.0.4) arel (6.0.4)
arr-pm (0.0.10)
cabin (> 0)
attr_required (1.0.1) attr_required (1.0.1)
auto_strip_attributes (2.6.0) auto_strip_attributes (2.6.0)
activerecord (>= 4.0) activerecord (>= 4.0)
@ -89,7 +87,6 @@ GEM
babel-transpiler (0.7.0) babel-transpiler (0.7.0)
babel-source (>= 4.0, < 6) babel-source (>= 4.0, < 6)
execjs (~> 2.0) execjs (~> 2.0)
backports (3.20.2)
bcrypt (3.1.13) bcrypt (3.1.13)
bindata (2.4.8) bindata (2.4.8)
bootstrap-will_paginate (0.0.6) bootstrap-will_paginate (0.0.6)
@ -99,7 +96,6 @@ GEM
bugsnag (5.3.2) bugsnag (5.3.2)
builder (3.2.4) builder (3.2.4)
byebug (11.0.1) byebug (11.0.1)
cabin (0.9.0)
capybara (3.15.1) capybara (3.15.1)
addressable addressable
mini_mime (>= 0.1.3) mini_mime (>= 0.1.3)
@ -125,7 +121,6 @@ GEM
cause (0.1) cause (0.1)
childprocess (0.9.0) childprocess (0.9.0)
ffi (~> 1.0, >= 1.0.11) ffi (~> 1.0, >= 1.0.11)
clamp (1.0.1)
coderay (1.1.3) coderay (1.1.3)
coffee-rails (4.2.2) coffee-rails (4.2.2)
coffee-script (>= 2.2.0) coffee-script (>= 2.2.0)
@ -149,7 +144,6 @@ GEM
diff-lcs (1.4.4) diff-lcs (1.4.4)
domain_name (0.5.20190701) domain_name (0.5.20190701)
unf (>= 0.0.5, < 1.0.0) unf (>= 0.0.5, < 1.0.0)
dotenv (2.7.6)
elasticsearch (7.4.0) elasticsearch (7.4.0)
elasticsearch-api (= 7.4.0) elasticsearch-api (= 7.4.0)
elasticsearch-transport (= 7.4.0) elasticsearch-transport (= 7.4.0)
@ -185,7 +179,7 @@ GEM
json json
rack-oauth2 (>= 0.14.4) rack-oauth2 (>= 0.14.4)
tzinfo tzinfo
ffi (1.12.2) ffi (1.15.5)
ffi-compiler (1.0.1) ffi-compiler (1.0.1)
ffi (>= 1.0.0) ffi (>= 1.0.0)
rake rake
@ -342,18 +336,6 @@ GEM
fog-core fog-core
nokogiri (>= 1.5.11, < 2.0.0) nokogiri (>= 1.5.11, < 2.0.0)
formatador (0.2.5) formatador (0.2.5)
fpm (1.12.0)
arr-pm (~> 0.0.10)
backports (>= 2.6.2)
cabin (>= 0.6.0)
childprocess (< 1.0.0)
clamp (~> 1.0.0)
ffi (~> 1.12.0)
git (>= 1.3.0, < 2.0)
json (>= 1.7.7, < 3.0)
pleaserun (~> 0.0.29)
ruby-xz (~> 0.2.3)
stud
fugit (1.4.2) fugit (1.4.2)
et-orbi (~> 1.1, >= 1.1.8) et-orbi (~> 1.1, >= 1.1.8)
raabro (~> 1.4) raabro (~> 1.4)
@ -361,8 +343,6 @@ GEM
geokit-rails (2.3.2) geokit-rails (2.3.2)
geokit (~> 1.5) geokit (~> 1.5)
rails (>= 3.0) rails (>= 3.0)
git (1.8.1)
rchardet (~> 1.8)
globalid (0.4.2) globalid (0.4.2)
activesupport (>= 4.2.0) activesupport (>= 4.2.0)
god (0.13.7) god (0.13.7)
@ -422,8 +402,6 @@ GEM
influxdb-rails (0.1.12) influxdb-rails (0.1.12)
influxdb (~> 0.3.0) influxdb (~> 0.3.0)
railties railties
insist (1.0.0)
io-like (0.3.1)
ipaddress (0.8.3) ipaddress (0.8.3)
iso-639 (0.3.5) iso-639 (0.3.5)
jquery-rails (4.4.0) jquery-rails (4.4.0)
@ -469,7 +447,6 @@ GEM
multi_json (1.15.0) multi_json (1.15.0)
multi_xml (0.6.0) multi_xml (0.6.0)
multipart-post (2.1.1) multipart-post (2.1.1)
mustache (0.99.8)
naught (1.1.0) naught (1.1.0)
netaddr (1.5.1) netaddr (1.5.1)
netrc (0.11.0) netrc (0.11.0)
@ -519,15 +496,8 @@ GEM
paypal-sdk-merchant-jk (1.118.1) paypal-sdk-merchant-jk (1.118.1)
paypal-sdk-core (~> 0.3.0) paypal-sdk-core (~> 0.3.0)
pdf-core (0.7.0) pdf-core (0.7.0)
pg (0.17.1) pg (0.21.0)
pg_array_parser (0.0.9) pg_array_parser (0.0.9)
pleaserun (0.0.31)
cabin (> 0)
clamp
dotenv
insist
mustache (= 0.99.8)
stud
postgres-copy (1.2.0) postgres-copy (1.2.0)
activerecord (>= 4.0, < 5.1) activerecord (>= 4.0, < 5.1)
pg (>= 0.17) pg (>= 0.17)
@ -611,7 +581,6 @@ GEM
json (>= 1.8) json (>= 1.8)
nokogiri (~> 1.5) nokogiri (~> 1.5)
optimist (~> 3.0) optimist (~> 3.0)
rchardet (1.8.0)
react-rails (1.3.3) react-rails (1.3.3)
babel-transpiler (>= 0.7.0) babel-transpiler (>= 0.7.0)
coffee-script-source (~> 1.8) coffee-script-source (~> 1.8)
@ -682,9 +651,6 @@ GEM
rspec-support (3.10.2) rspec-support (3.10.2)
ruby-prof (0.15.9) ruby-prof (0.15.9)
ruby-protocol-buffers (1.2.2) ruby-protocol-buffers (1.2.2)
ruby-xz (0.2.3)
ffi (~> 1.9)
io-like (~> 0.3)
ruby_parser (3.15.1) ruby_parser (3.15.1)
sexp_processor (~> 4.9) sexp_processor (~> 4.9)
rubyzip (1.2.1) rubyzip (1.2.1)
@ -749,7 +715,6 @@ GEM
activesupport (>= 3.0) activesupport (>= 3.0)
sprockets (>= 2.8, < 4.0) sprockets (>= 2.8, < 4.0)
stripe (5.29.0) stripe (5.29.0)
stud (0.0.23)
temple (0.8.2) temple (0.8.2)
test-unit (3.4.0) test-unit (3.4.0)
power_assert power_assert
@ -836,7 +801,6 @@ DEPENDENCIES
filepicker-rails (= 0.1.0) filepicker-rails (= 0.1.0)
fog fog
fog-brightbox (= 0.11.0) fog-brightbox (= 0.11.0)
fpm
geokit-rails geokit-rails
god god
gon (~> 4.1.0) gon (~> 4.1.0)
@ -868,7 +832,7 @@ DEPENDENCIES
omniauth-stripe-connect omniauth-stripe-connect
omniauth-twitter omniauth-twitter
paypal-sdk-merchant-jk (= 1.118.1) paypal-sdk-merchant-jk (= 1.118.1)
pg (= 0.17.1) pg (= 0.21.0)
postgres-copy postgres-copy
postgres_ext postgres_ext
prawn-table prawn-table
@ -936,7 +900,7 @@ DEPENDENCIES
zip-codes zip-codes
RUBY VERSION RUBY VERSION
ruby 2.3.1p112 ruby 2.4.1p111
BUNDLED WITH BUNDLED WITH
1.17.3 1.17.3

View File

@ -2,7 +2,7 @@
#REAL_IP=192.168.0.42 #REAL_IP=192.168.0.42
REAL_IP=127.0.0.1 REAL_IP=127.0.0.1
REAL_IP=192.168.5.204 REAL_IP=192.168.6.107
if [ ! -z "$1" ]; then if [ ! -z "$1" ]; then
REAL_IP="$1" REAL_IP="$1"
fi fi